package de.sebse.fuplanner2

import de.sebse.fuplanner2.ui.tools.previews.AnnouncementPreviewProvider
import de.sebse.fuplanner2.utils.getFaker
import org.junit.Test

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
class FakerTest {
    @Test
    fun lorem() {
        getFaker().strings.lorem(100, 1000)
        getFaker().strings.lorem(100, 1000)
        getFaker().strings.lorem(100, 1000)
        getFaker().strings.lorem(100, 1000)
        getFaker().strings.lorem(100, 1000)
    }

    @Test
    fun announcement() {
        AnnouncementPreviewProvider().values.take(10)
    }
}
